Settle reservations
POST
/merchants/{merchantCode}/reservations/settle
const url = 'https://catalog.shopgate.io/v1/merchants/example/reservations/settle';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"fulfillmentOrderNumbers":["someCode","anotherCode"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://catalog.shopgate.io/v1/merchants/example/reservations/settle \ --header 'Content-Type: application/json' \ --data '{ "fulfillmentOrderNumbers": [ "someCode", "anotherCode" ] }'Settle all reservations for a fulfillment order, i.e. the reservations are deleted and the actual inventory is modified accordingly.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
fulfillmentOrderNumbers
required
Array<string>
Example
[ "someCode", "anotherCode"]Responses
Section titled “Responses”Successfully updated
Media typeapplication/json
object
errors
required
Array<object>
object
code
number
entity
string
entityId
string | object
entityIndex
integer
reason
string
catalogCode
string
subentityPath
Array<string | number>
validationErrors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
Example
{ "errors": [ { "code": 400, "entity": "planet", "entityId": "pluto", "entityIndex": 1, "reason": "Planet pluto was not found (did you mean dwarf planet pluto?)", "subentityPath": [ "categories", 0 ], "validationErrors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } ]}Validation error
Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName
The parameter-field, that failed to validate, like “userId”
string
paramValue
The value, that was sent, like “xxx”
null | string | number | array | object
code
Machine readable error code
string
message
required
Human readable error code
string
results
object
errors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
warnings
array
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } }}Merchant, location or inventory reservations for the fulfillment order found.
Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}Reservations can not get settled because of inventory misconfiguration
Media typeapplication/json
object
statusCode
number
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "statusCode": 1, "code": "example", "message": "example"}
